#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long n, q;
    cin >> n >> q;
    vector<pair<long long, long long>> dp(n);
    for(long long i=0; i<n; i++){
        cin >> dp[i].first >> dp[i].second;
    }

    long long stanje=0;
    long long r=0;
    long long j=0;
    for(long long i=1; i<=q; i++){
        if(j<n && i==dp[j].first){
            stanje += dp[j].second;
            j++;
        }
        if(stanje>0){
            r++;
            stanje--;
        }
    }
    cout << r << "\n";
    return 0;
}